Membership
/- Searches for memberships using predefined parameters
Creates a new membership record that does not already exist.
Activate membership
Execute Batch Operations
Downloads a Certificate
Returns a list of records with the specified chapter_id
Gets a membership by contact
Given a set of expiration options, allows for the calculation of an expiration date
Generates a PDF for the ID Card and returns the public link for download
Generates snapshot lookback for a tenant
Returns a list of records with the specified order_id
Gets a membership by organization
Returns a list of records with the specified parent_membership_id
Returns a membership from the system by its ID for a given contact.
Sends out a preview of the CRC notification certificate
Sends out a preview of the CRC notification email
Sends out a preview of the CRC notification email
Sends out a preview of the CRC notification email
Re-runs flowdown for all organizations in the system
Returns a list of records with the specified section_id
Returns a membership from the system by its ID.
Returns a membership from the system by its ID.
Partially updates a membership with the specified ID.
Updates a membership with the specified ID.
Searches for memberships...
Searches for memberships using predefined parameters
Security
knox-authorizer
The membership that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/memberships/{tenantId}/search
- https://membership.api.rhythmsoftware.comhttps://membership.api.rhythmsoftware.com/memberships/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/memberships/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"city": "string",
"email_address": "string",
"expiration_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"id": [
"string"
],
"is_new": "string",
"job_title": "string",
"join_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"name": "string",
"number": [
0.1,
0.1
],
"origin": [
"string"
],
"owner_type": "string",
"package_id": [
"string"
],
"renewal_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"state": "string",
"status": [
"string"
],
"status_reason_id": [
"string"
],
"termination_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"type_id": [
"string"
]
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }